赣州市洪水风险预警系统三维版本
guoshilong
2023-02-20 52c8ca8e31bb9aee13726d9c858dee1d11dcde87
widgets/FloodAnalysis/css/style.css
@@ -313,3 +313,96 @@
#history-tab2-grid .dgrid-cell {
    text-align: center;
}
/**进度条**/
.jimu-widget-FloodAnalysis .dong-progress {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 500px;
    height: 0px;
    z-index: 33;
    background: rgba(59, 59, 59, 0.7);
}
.jimu-widget-FloodAnalysis .dong-progress h2 {
    margin: 10px 0;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
    color: white;
}
.jimu-widget-FloodAnalysis .dong-progress .container {
    display: inline-block;
    width: 100%;
    height: 20px;
    padding-right: 10px;
    border: 1px solid #999;
    border-radius: 5px;
}
.jimu-widget-FloodAnalysis .dong-progress .container .h-100P {
    height: 100%;
}
.jimu-widget-FloodAnalysis .dong-progress .container .bar {
    display: inline-block;
    background: linear-gradient(to right, #ff4343, #48adff);
    color: white;
    font-weight: bold;
    padding: 0 5px;
    text-align: right;
    border-radius: 5px;
    border-right: 1px solid #999;
}
/**分析窗口**/
.evaluate-analysis{
    width: 840px;
    position: fixed;
    top: 10%;
    right: 0%;
    background: white;
    height: 628px;
    margin: 15px;
    border-radius: 4px;
    border: 1px solid white;
}
.evaluate-title{
    height: 35px;
    line-height: 35px;
    font-weight: bold;
    font-size: 16px;
    box-shadow: 0px 1px 4px 0px rgb(0 0 0 / 40%);
    background-color: #32425d;
    color: white;
}
.evaluate-lable{
    width: 70px;
    position: absolute;
    left: 2%;
}
.evaluate-box-top{
    height: 30%;
}
.evaluate-box-middle{
    height: 66%;
}
.evaluate-middle-first .column-1{
    display: flex;
}
.evaluate-middle-first .column-2{
    display: flex;
}